/* =================================================================================
===================================[ BUTTONS ]======================================
================================================================================= */

.login-btn {
    display: inline-block;
    padding: 12px 30px;
    background: #015931;
    border: #015931 1px solid;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: transform 0.3s;
}

.btn {
    display: inline-block;
    padding: 12px 26px;
    background: #F05B06;
    color: #fff;
    border: #F05B06 1px solid;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    transition: 0.3s;
}

.btn-green {
    display: inline-block;
    padding: 12px 26px;
    background: #015931;
    color: #fff;
    border: #015931 1px solid;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    transition: 0.3s;
}

.btn-white {
    display: inline-block;
    padding: 12px 26px;
    background: #ffffff;
    color: #000;
    border: #ffffff 1px solid;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    transition: 0.3s;
}

.btn-border {
    display: inline-block;
    padding: 12px 26px;
    background: transparent;
    color: #fff;
    border: #fff 1px solid;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    transition: 0.3s;
}

.btn-border-orange {
    display: inline-block;
    padding: 12px 26px;
    background: transparent;
    color: #F05B06;
    border: #F05B06 1px solid;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    transition: 0.3s;
}

.btn-transparent {
    display: inline-block;
    padding: 12px 30px;
    background: transparent;
    color: #015931;
    text-decoration: none;
    border: #015931 1px solid;
    border-radius: 5px;
    transition: transform 0.3s;
}

.login-btn:hover,
.btn-white:hover,
.btn:hover,
.btn-green:hover,
.btn-border:hover,
.btn-border-orange:hover,
.btn-transparent:hover {
    transform: scale(1.05);
}

.buttons {
    display: flex;
    gap: 20px;
}

.social-icons {
    font-size: 30px;
    color: #04293B;
    text-decoration: none;
    transition: 0.3s;

    width: 55px;
    height: 55px;
    background: #ffffff;
    border-radius: 50%;

    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.social-icons:hover {
    color: #FFD400;
    transform: scale(1.1);
}

@media (max-width: 1024px) {
    .login-btn {
        padding: 8px 16px;
        font-size: 12px;
    }

    .btn-transparent {
        padding: 8px 16px;
        font-size: 12px;
    }

    .buttons {
        gap: 10px;
    }

    .social-icons {
        font-size: 16px;
        width: 40px;
        height: 40px;
    }
}


/* =================================================================================
=================================[ KATALOG CARD ]===================================
================================================================================= */

.katalog-card {
    background-color: #ffffff;
    padding: 35px;
    text-align: center;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
    color: #000;
}

.katalog-card:hover {
    transform: translateY(-10px);
    cursor: pointer;
}

.katalog-card img {
    width: 100%;
    height: 200px;
    object-fit: contain;
}

.katalog-card h4 {
    font-size: 20px;
    margin: 10px 0px 10px 0px;
}

.katalog-card p {
    font-size: 16px;
}

.katalog-card .container {
    padding: 0 10px;
}

@media (max-width: 1024px) {
    .katalog-card {
        padding: 20px;
    }

    .katalog-card img {
        height: 100px;
    }

    .katalog-card h4 {
        font-size: 15px;
    }

    .katalog-card p {
        font-size: 14px;
    }
}

/* =================================================================================
=================================[ BERITA CARD ]====================================
================================================================================= */
.berita-card {
    background-color: #ffffff;
    text-align: start;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
    color: #000;
}

.berita-card h3 {
    color: #015931;
}

.berita-card img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}

.berita-card .container {
    display: flex;
    flex-direction: column;
    padding: 30px;
    gap: 10px;
}

.berita-card p {
    font-size: 15px;
}

.berita-card .read p {
    color: #015931;
}

@media (max-width: 1024px) {

    .berita-card img {
        height: 200px;
    }

}

/* =================================================================================
================================[ SPONSOR CARD ]====================================
================================================================================= */
.sponsor-card {
    background-color: #ffffff;
    padding: 10px;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.sponsor-card img {
    width: 100%;
    height: 200px;
    object-fit: contain;
}

.sponsor-card:hover {
    transform: translateY(-10px);
    cursor: pointer;
}

@media (max-width: 1024px) {
    .sponsor-card img {
        height: 100px;
    }
}

/* =================================================================================
=================================[ SEARCH BAR ]===================================
================================================================================= */
.search-bar {
    width: 100%;
    max-width: 1500px;
    display: flex;
    flex-direction: column;
}

.search-box {
    position: relative;
    width: 100%;
}

.search-box input {
    background-color: #F1F5F8;
    width: 100%;
    font-family: 'Poppins', sans-serif;
    font-size: 15px;
    padding: 10px 40px 10px 15px;
    border-radius: 7px;
    border: 1px solid #04293B;
}

.search-box i {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
}

@media (max-width: 1024px) {
    .search-bar {
        display: flex;
        flex-direction: column;
    }
}